stages:
  - triggers
  - releases

run-p1:
  stage: triggers
  trigger:
    project: tanuki-workshops/artifacts-experiments/p1
    strategy: depend

run-p2:
  stage: triggers
  trigger:
    project: tanuki-workshops/artifacts-experiments/p2
    strategy: depend

release-something:
  stage: releases
  needs:
    - run-p1
    - run-p2
    - project: tanuki-workshops/artifacts-experiments/p1
      job: gen-artifact
      artifacts: true
      ref: main
    - project: tanuki-workshops/artifacts-experiments/p2
      job: gen-artifact
      artifacts: true
      ref: main
  script: |
    echo "🎉"

